std::tr2(3)

NAME
std::tr2 -

SYNOPSIS

  Namespaces
__detail

  Classes
struct __dynamic_bitset_base
struct __reflection_typelist
struct __reflection_typelist< _First, _Rest...>
struct __reflection_typelist<>
struct bases
class bool_set
struct direct_bases
class dynamic_bitset

  Functions
bool certainly (bool_set __b)
bool contains (bool_set __s, bool_set __t)
bool equals (bool_set __s, bool_set __t)
bool is_emptyset (bool_set __b)
bool is_indeterminate (bool_set __b)
bool is_singleton (bool_set __b)
bool_set operator!= (bool __s, bool_set __t)
bool_set operator!= (bool_set __s, bool __t)
bool_set operator!= (bool_set __s, bool_set __t)
bool_set operator& (bool __s, bool_set __t)
bool_set operator& (bool_set __s, bool __t)
bool_set operator== (bool __s, bool_set __t)
bool_set operator== (bool_set __s, bool __t)
bool_set operator^ (bool __s, bool_set __t)
bool_set operator^ (bool_set __s, bool __t)
bool_set operator| (bool __s, bool_set __t)
bool_set operator| (bool_set __s, bool __t)
bool possibly (bool_set __b)
bool_set set_complement (bool_set __b)
bool_set set_intersection (bool __s, bool_set __t)
bool_set set_intersection (bool_set __s, bool __t)
bool_set set_intersection (bool_set __s, bool_set __t)
bool_set set_union (bool __s, bool_set __t)
bool_set set_union (bool_set __s, bool __t)
bool_set set_union (bool_set __s, bool_set __t)

template<typename _WordT , typename _Alloc > bool operator== (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc > bool operator!= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc > bool operator< (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc > bool operator<= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc > bool operator> (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc > bool operator>= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)

template<typename _WordT , typename _Alloc > dynamic_bitset< _WordT, _Alloc > operator& (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc > dynamic_bitset< _WordT, _Alloc > operator| (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc > dynamic_bitset< _WordT, _Alloc > operator^ (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc > dynamic_bitset< _WordT, _Alloc > operator- (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)

template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc > std::basic_istream< _CharT,
_Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, dynamic_bitset< _WordT, _Alloc > &__x)"
template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc > std::basic_ostream< _CharT,
_Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const dynamic_bitset< _WordT, _Alloc > &__x)"

Detailed Description

ISO C++ TR2 entities toplevel namespace is std::tr2.

Function Documentation

  template<typename _WordT , typename _Alloc > bool std::tr2::operator!= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1291 of file dynamic_bitset.

  template<typename _WordT , typename _Alloc > dynamic_bitset<_WordT, _Alloc> std::tr2::operator& (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y) [inline]

Global bitwise operations on bitsets.

Parameters:
    __x A bitset.
    __y A bitset of the same size as __x.

Returns:
    A new bitset.

These should be self-explanatory.

Definition at line 1332 of file dynamic_bitset.

  template<typename _WordT , typename _Alloc > dynamic_bitset<_WordT, _Alloc> std::tr2::operator- (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y) [inline]

Global bitwise operations on bitsets.

Parameters:
    __x A bitset.
    __y A bitset of the same size as __x.

Returns:
    A new bitset.

These should be self-explanatory.

Definition at line 1362 of file dynamic_bitset.

  template<typename _WordT , typename _Alloc > bool std::tr2::operator< (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1297 of file dynamic_bitset.

  template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc > std::basic_ostream<_CharT, _Traits>& std::tr2::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const dynamic_bitset< _WordT, _Alloc > &__x)

Global I/O operators for bitsets. Direct I/O between streams and bitsets is supported. Output is straightforward. Input will skip whitespace and only accept '0' and '1' characters. The dynamic_bitset will grow as necessary to hold the string of bits.

Definition at line 1455 of file dynamic_bitset.

References std::__ctype_abstract_base< _CharT >::widen().

  template<typename _WordT , typename _Alloc > bool std::tr2::operator<= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1303 of file dynamic_bitset.

  template<typename _WordT , typename _Alloc > bool std::tr2::operator== (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1285 of file dynamic_bitset.

  template<typename _WordT , typename _Alloc > bool std::tr2::operator> (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1309 of file dynamic_bitset.

  template<typename _WordT , typename _Alloc > bool std::tr2::operator>= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)

These comparisons for equality/inequality are, well, bitwise.

Definition at line 1315 of file dynamic_bitset.

  template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc > std::basic_istream<_CharT, _Traits>& std::tr2::operator>> (std::basic_istream< _CharT, _Traits > &__is, dynamic_bitset< _WordT, _Alloc > &__x)

Global I/O operators for bitsets. Direct I/O between streams and bitsets is supported. Output is straightforward. Input will skip whitespace and only accept '0' and '1' characters. The dynamic_bitset will grow as necessary to hold the string of bits.

Definition at line 1383 of file dynamic_bitset.

References std::basic_string< _CharT, _Traits, _Alloc >::empty(), std::basic_string< _CharT, _Traits, _Alloc >::push_back(), std::basic_ios< _CharT, _Traits >::rdbuf(), std::basic_string< _CharT, _Traits, _Alloc >::reserve(), std::tr2::dynamic_bitset< _WordT, _Alloc >::resize(), std::basic_ios< _CharT, _Traits >::setstate(), std::basic_string< _CharT, _Traits, _Alloc >::size(), std::tr2::dynamic_bitset< _WordT, _Alloc >::size(), and std::basic_ios< _CharT, _Traits >::widen().

  template<typename _WordT , typename _Alloc > dynamic_bitset<_WordT, _Alloc> std::tr2::operator^ (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y) [inline]

Global bitwise operations on bitsets.

Parameters:
    __x A bitset.
    __y A bitset of the same size as __x.

Returns:
    A new bitset.

These should be self-explanatory.

Definition at line 1352 of file dynamic_bitset.

  template<typename _WordT , typename _Alloc > dynamic_bitset<_WordT, _Alloc> std::tr2::operator| (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y) [inline]

Global bitwise operations on bitsets.

Parameters:
    __x A bitset.
    __y A bitset of the same size as __x.

Returns:
    A new bitset.

These should be self-explanatory.

Definition at line 1342 of file dynamic_bitset.

Author

Generated automatically by Doxygen for libstdc++ from the source code.